import 'package:flutter/material.dart';
import 'package:sidebarx/sidebarx.dart';

class SidebarX extends StatelessWidget {
  const SidebarX({
    Key? key,
    this.items = const [],
    this.theme = const SidebarXTheme(),
  }) : super(key: key);

  final SidebarXTheme theme;
  final List<SidebarXItem> items;

  @override
  Widget build(BuildContext context) {
    // final theme = Theme.of(context);
    return Container(
      width: theme.width,
      height: double.infinity,
      decoration: theme.decoration,
      child: Column(
        children: [
          // Container(
          //   height: 200,
          //   color: Colors.red,
          // ),
          Expanded(
            child: ListView.builder(
              itemCount: items.length,
              itemBuilder: (context, index) {
                final item = items[index];
                return IconButton(
                  icon: Icon(item.icon),
                  onPressed: item.onTap,
                );
              },
            ),
          ),
          // Container(
          //   height: 200,
          //   color: Colors.green,
          // ),
        ],
      ),
    );
  }
}
